﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using FarPoint.Win.Spread;

namespace _10207
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

            this.fpSpread1.Change += new FarPoint.Win.Spread.ChangeEventHandler(fpSpread1_Change);
            this.fpSpread1.PreviewKeyDown += new PreviewKeyDownEventHandler(fpSpread1_PreviewKeyDown);


        }

        void fpSpread1_PreviewKeyDown(object sender, PreviewKeyDownEventArgs e)
        {
            if (e.Control && e.KeyCode == Keys.V)
            {
                int row = this.fpSpread1.ActiveSheet.ActiveRowIndex;
                int col = this.fpSpread1.ActiveSheet.ActiveColumnIndex;
                FarPoint.Win.Spread.ChangeEventArgs param = new ChangeEventArgs(null, row, col);
                fpSpread1_Change(null, param);
            }
        }

        void fpSpread1_Change(object sender, FarPoint.Win.Spread.ChangeEventArgs e)
        {
        }

    }

    public class MyPasteAction : FarPoint.Win.Spread.Action
    {
        public override void PerformAction(object sender)
        {
            if (sender is SpreadView)
            {
                SpreadView sp = (SpreadView)sender;
                sp.Sheets[0].ClipboardPaste(ClipboardPasteOptions.All);
                sp.StartCellEditing(null, false);
                //sp.StopCellEditing();
            }
        }
    }
}
